#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <time.h>
#include <iostream>
#include <string.h>
#include <bitset>
#include <iomanip>
#include <cstddef>


using namespace std;


int main(void)
{
    uint32_t number=0;
    uint32_t rows;

    for(int i=63; i>=0;i--)
    {
        cout << bitset<12>(i).count() << ", ";
        
        if(rows < 16 )
        {
            rows++;
        }
        else
        {   
            rows=0;
            cout << endl;
        }


    }
}



